Skip to Content
SeyloDocs

Collapse or expand a project

POST
/api/v1/projects.setCollapsed

Collapses or expands a project in the caller's own sidebar. Other people's sidebars do not change.

Needs projects.view on the project. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$
collapsed*boolean

Response Body

Success.

application/json
  1. response
projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$
collapsed*boolean
Example Request
curl -X POST 'https://example.com/api/v1/projects.setCollapsed' \  -H 'Content-Type: application/json' \  -d '{  "projectId": "string",  "collapsed": true}'
Example Response
{  "projectId": "string",  "collapsed": true}